%define major 1
%define libname_orig lib%{name}
%define libname lib%{name}_%{major}
%define buildpdf 0

Summary: Extremely powerful file compression utility
Name: bzip2
Version: 1.0.1
Release: 10mdk
Copyright: BSD
Group: Archiving/Compression
Source: http://www.digistar.com/bzip2/%{name}-%{version}.tar.bz2
URL: http://sourceware.cygnus.com/bzip2/
Source1: bzgrep
Source2: bzme
Patch0: bzip2-shlib.patch.bz2
Patch1: bzip2-2.libtoolizeautoconf.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: %{_bindir}/bzip2 libbz2.a libbz2.so
Obsoletes: bzip2-devel
Requires: %{libname} = %{version}
%if %{buildpdf}
BuildRequires: texinfo, tetex
%endif

%description
Bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional LZ77/LZ78-based
compressors, and approaches the performance of the PPM family of statistical
compressors.

The command-line options are deliberately very similar to those of GNU Gzip,
but they are not identical.

%package -n %{libname}
Summary: Libraries for developing apps which will use bzip2.
Group: System/Libraries
%description -n %{libname}
Library of bzip2 functions, for developing apps which will use the
bzip2 library (aka libz2).


%package -n %{libname}-devel
Summary: Header files for developing apps which will use bzip2.
Group: Development/C
Requires: %{libname} = %{version}
Provides: %{libname_orig}-devel = %{version}-%{release}
%description -n %{libname}-devel
Header files and static library of bzip2 functions, for developing apps which
will use the bzip2 library (aka libz2).

%prep
%setup
%patch0 -p0
%patch1 -p1
cp m4/largefile.m4 .
chmod +x ./configure

%build
%configure --enable-shared --enable-static
make
%if %{buildpdf}
texi2dvi --pdf manual.texi
%endif

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -m 755 %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}

cat > $RPM_BUILD_ROOT%{_bindir}/bzless <<EOF
#!/bin/sh
%{_bindir}/bunzip2 -c "\$@" | %{_bindir}/less
EOF
chmod 755 $RPM_BUILD_ROOT%{_bindir}/bzless

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root,755)
%doc README
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root,755)
%{_libdir}/libbz2.so.*

%files -n %{libname}-devel
%defattr(-,root,root,755)
%doc *.html 
%if %{buildpdf}
%doc manual.pdf
%endif
%{_libdir}/libbz2.a
%{_libdir}/libbz2.la
%{_libdir}/libbz2.so
%{_includedir}/bzlib.h

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Mar 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.1-10mdk
- fixed changelog comment (macro expansion).

* Thu Mar 22 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.1-9mdk
- use of %%configure.
- rebuild with large file support.

* Mon Feb 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-8mdk
- devel package has to provide the libname without major name

#- bump soname version to 2
* Wed Dec 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-7mdk
- split libbz2 in %{libname} and headers in %{libname}devel
- fix %%{tmppatch}

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-6mdk
- BM

* Thu Jul 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-5mdk
- let my bzme script handle old .Z archives

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-4mdk
- increase the .so version for compatibility reason (to force upgrades)
  (thanks Fred)
- let spec-helper bzip2 man-pages (and let packager use shrtcrt)

* Tue Jul 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-3mdk
- fix my bzme script so that an error in a batch won't stop the processing of
  the remaining files to compress

* Mon Jul 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-2mdk
- bzip2 a gziped patch (saves 48k on SRPMS cd :-) )

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1 release
- add URL
- fix libbzip2 API

* Fri May  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.5d-9mdk
- corrected shlib patch to have a correct soname.

* Wed Apr 19 2000 Franois Pons <fpons@mandrakesoft.com> 0.9.5d-8mdk
- remove 1.0pre5 of bzip2, titi sucks ?

* Wed Mar 22 2000 Pixel <pixel@mandrakesoft.com> 0.9.5d-7mdk
- remove provides bzip2

* Wed Mar 21 2000 Daouda LO <daouda@mandrakesoft.com> 0.9.5d-6mdk
- change to new group architecture

* Sat Mar  4 2000 Pixel <pixel@mandrakesoft.com> 0.9.5d-5mdk
- remove the silly commented out chmod in %post
  (that way, bzip2 don't need /bin/sh anymore)

* Thu Mar 02 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bzme script : now it use a lot less disk space.

* Thu Oct 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add bzme script

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Thu Sep 16 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.9.5d (sanity fixes such as warnings killers casts)

* Wed Aug 25 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- No really, allow users into the docdir.. (don't put %%attr on %%doc files)

* Wed Aug 25 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- %%defattr(-,root,root,755)

* Tue Aug 17 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix a bug in the spec
- clean spec

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bogus permissions on doc

* Wed Aug 11 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.9.5c

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- updated to 0.9.5b
- remove unused patch
- merge all packages in one
- clean spec

* Tue Jul  6 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- added overly redundant provides to help clean up install.log's

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add a bzgrep script.

* Fri Apr 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- Add patch to permit the bunzip2 on link.

* Thu Jan 14 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- version 0.9.0c

* Sun Nov 29 1998 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- remove CC="egcs" - we want to compile with pgcc
- bzip2 manpages
- build a shared libbz2.so; move libbz2 and bzlib.h to bzip2-devel

* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- force compilation with egcs to avoid gcc optimization bug (thank God 
  we haven't been beaten by it)

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- version 0.9.0b

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.9.0

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- first build for Manhattan
